Bug 191412 - new rpmbuild target: prescott
new rpmbuild target: prescott
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-11 14:48 EDT by Julian Sikorski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 09:30:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2006-05-11 14:48:31 EDT
I have made a quick browse through /usr/lib/rpm/rpmrc and I have noticed tht the
“highest” available x86 target is pentium4. GCC 4.1.0 allows for at least one
more target, namely prescott. The difference is that in opposite to pentium4,
prescott is able to use sse3 instruction set. It could speed up some programs a
little.
Comment 1 Paul Nasrat 2006-06-30 09:30:30 EDT
consult redhat-rpm-config for actual opt flags used by the distro:

rpm -E '%optflags'
-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-table

Note You need to log in before you can comment on or make changes to this bug.